const Cc = Components.classes;
const Ci = Components.interfaces;

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function AboutStratiform() { }
AboutStratiform.prototype = {
  classDescription: "about:stratiform",
  contractID: "@mozilla.org/network/protocol/about;1?what=stratiform",
  classID: Components.ID("{bb41d8d0-4cf8-11e0-b8af-0800200c9a66}"),
  QueryInterface: XPCOMUtils.generateQI([Ci.nsIAboutModule]),
  
  getURIFlags: function(aURI) {
    return Ci.nsIAboutModule.ALLOW_SCRIPT;
  },
  
  newChannel: function(aURI) {
    let ios = Cc["@mozilla.org/network/io-service;1"].getService(Ci.nsIIOService);
    let channel = ios.newChannel("chrome://stratiform/content/options.xul",
                                 null, null);
  channel.originalURI = aURI;
    return channel;
  }
};
const NSGetFactory = XPCOMUtils.generateNSGetFactory([AboutStratiform]);